## strongswan 5.5.1

=== debian/changelog ===
strongswan (5.5.1-4+deb9u6) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * SECURITY UPDATE: Incorrect Handling of Early EAP-Success Messages
    - debian/patches/CVE-2021-45079.patch: enforce failure if MSK
      generation fails in src/libcharon/plugins/eap_gtc/eap_gtc.c,
      src/libcharon/plugins/eap_md5/eap_md5.c,
      src/libcharon/plugins/eap_radius/eap_radius.c,
      src/libcharon/sa/eap/eap_method.h,
      src/libcharon/sa/ikev2/authenticators/eap_authenticator.c.
    - CVE-2021-45079

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 03 Feb 2022 22:49:48 +0530

strongswan (5.5.1-4+deb9u5) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2021-41991
    Prevent crash due to integer overflow / sign change
    - fix remote denial of service

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 19 Oct 2021 23:30:02 +0200

strongswan (5.5.1-4+deb9u4) stretch-security; urgency=medium

  * d/p/CVE-2018-17540_gmp-pkcs1-overflow added, fix an integer underflow and
    subsequent heap buffer overflow vulnerability in the gmp plugin triggered
    by crafted certificates with RSA keys with very small moduli
    (CVE-2018-17540)

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 01 Oct 2018 22:51:38 +0200

strongswan (5.5.1-4+deb9u3) stretch-security; urgency=medium

  * d/p/CVE-2018-16151+CVE-2018-16152_gmp-pkcs1-verify added
    fix potential Bleichenbacher's low-exponent attack (CVE-2018-16151,
    CVE-2018-16152)

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 18 Sep 2018 21:32:10 +0200

strongswan (5.5.1-4+deb9u2) stretch-security; urgency=medium

  * debian/patches:
    - CVE-2018-10811 added, fix missing initialization of a variable in IKEv2
    key derivation (CVE-2018-10811)
    - CVE-2018-5388 added, fix insufficient validation in the stroke plugin
    (CVE-2018-5388)

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 04 Jun 2018 17:55:33 +0200

strongswan (5.5.1-4+deb9u1) stretch-security; urgency=medium

  * debian/patches:
    - CVE-2017-11185 added, fix insufficient input validation in gmp plugin
    which could lead to denial of service (CVE-2017-11185)
    - convert CVE-2017-9022_insufficient_input_validation_gmp_plugin and
    CVE-2017-9023_incorrect_handling_of_choice_types_in_asn1_parser to the
    UNIX file format. 

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 03 Aug 2017 23:14:29 +0200

strongswan (5.5.1-4) unstable; urgency=high

  * Urgency=high for the security fix.
  * debian/patches:
    - CVE-2017-9022_insufficient_input_validation_gmp_plugin added, fix
    insufficient input validation in gmp plugin which could lead to denial of
    service (CVE-2017-9022).
    - CVE-2017-9023_incorrect_handling_of_choice_types_in_asn1_parser added,
    fix incorrect handling of CHOICE types in ASN.1 parser and x509 plugin
    whch could lead to an infinite loop and a denial of service
    (CVE-2017-9023).

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 29 May 2017 21:52:41 +0200

strongswan (5.5.1-3) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/rules: Reorganize to ease maintenance
    - one enable option per line
    - sort enable options
  * Add and install strongswan apparmor profiles
    - d/rules install AppArmor profiles
    - d/control add dh-apparmor as build-dep
    - d/usr.lib.ipsec.{charon, lookip, stroke} add latest AppArmor profiles
      for charon, lookip and stroke
  * Add basic DEP8 tests
    - d/tests/* add DEP8 tests
    - d/control enable autotestpkg
  * Add updated logcheck rules to match recent strongswan output
    - debian/libstrongswan.strongswan.logcheck.* Remove outdated logcheck files
    - debian/{rules,strongswan.logcheck}: Add updated logcheck rules
    - this does no more provide different logcheck levels, but marks all
      common output to be acceptable

  [ Yves-Alexis Perez ]
  * debian/rules:
    - re-enable mediation (but not medcli/medsrv)               closes: #851507

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 16 Jan 2017 12:58:26 +0100

strongswan (5.5.1-2) unstable; urgency=medium

  * debian/control:
    - make the systemd build-dep linux-only.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 07 Dec 2016 08:34:52 +0100

strongswan (5.5.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/patches:
    - 05_network-manager-strongswan-1.4 dropped, included upstream.
  * debian/strongswan-starter.install:
    - install the new,empty /etc/ipsec.secrets
  * debian/strongswan-nm.install:
    - install /etc/dbus-1/system.d/nm-strongswan-service.conf
  * debian/control:
    - add a Replaces on n-m-strongswan because it used to ship the Dbus service.
    - add dependency on lsb-base to strongswan-starter because the init script
      uses /lib/lsb/init-functions 

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 22 Oct 2016 21:33:46 +0200

strongswan (5.5.0-3) unstable; urgency=medium

  * debian/control:
    - add build-dep on tzdata, fix FTBFS when absent.           closes: #839459

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 02 Oct 2016 15:22:54 +0200

strongswan (5.5.0-2) unstable; urgency=medium

  * debian/rules:
    - add patch from Raphaël Geissert to use /etc/ssl/certs instead of
      /usr/share/ca-certificates for strongswan-nm.             closes: #835095
    - update argument name for dh_strip dbgsym migration
  * debian/control:
    - update debhelper dependency to a version which supports dbgsym
      migration.
  * debian/patches:
    - 05_network-manager-strongswan-1.4 added, backport two upstream patches
      to support network-manager-strongswan 1.4 in charon-nm.   closes: #838194

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 18 Sep 2016 13:47:41 +0200

strongswan (5.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - add build-dep on systemd.                                 closes: #828945
  * debian/patches:
    - 05_port-openssl-1.1.0 dropped, included upstream.


